Summary: Intrusion detection environment.
Name: aide
Version: 0.10
Release: 0.fdr.1.2
Epoch: 0
URL: http://sourceforge.net/projects/aide
License: GPL
Group: Applications/System
Source: http://download.sourceforge.net/aide/aide-0.10.tar.gz
Source1: aide.conf
Source2: README.quickstart
Patch1: aide-useless-includes.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
Buildrequires: mhash-devel zlib-devel
Buildrequires: flex bison 
# Red Hat bug #108655, bison requires m4
Buildrequires: m4
# Postgresql support doesn't build.
Buildconflicts: postgresql-devel

%description 
AIDE (Advanced Intrusion Detection Environment) is a file integrity
checker and intrusion detection program.


%prep
%setup -q -n aide-0.10

%patch1 -p1

%build
# Apply RPM_OPT_FLAGS.
perl -pi -e 's/^CFLAGS="\$LD_STATIC_FLAG\"//' configure
perl -pi -e 's/^CPPFLAGS="\$LD_STATIC_FLAG\"//' configure

%configure --with-config_file=%{_sysconfdir}/aide.conf \
           --with-zlib \
           --with-mhash --enable-mhash 

# Adjust default database paths.
perl -pi -e 's!%{_sysconfdir}/aide.db!%{_localstatedir}/lib/aide.db!' config.h
# Adjust default paths in manual.
perl -pi -e 's!<prefix>/etc/aide.db!%{_localstatedir}/lib/aide.db!' doc/aide.1
perl -pi -e 's!<prefix>/etc/aide.conf!%{_sysconfdir}/aide.conf!' doc/aide.1

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p -m0700 $RPM_BUILD_ROOT%{_localstatedir}/lib/aide
install -p %{SOURCE2} README.quickstart
mkdir -p -m0755 $RPM_BUILD_ROOT%{_mandir}/ru/man{1,5}
install -p -m0644 doc/aide.1.ru $RPM_BUILD_ROOT%{_mandir}/ru/man1/aide.1
install -p -m0644 doc/aide.conf.5.ru $RPM_BUILD_ROOT%{_mandir}/ru/man5/aide.conf.5

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README ./doc/manual.html
%doc README.quickstart
%attr(0700,root,root) %{_sbindir}/aide
%{_mandir}/man1/*
%{_mandir}/man5/*
%lang(ru) %{_mandir}/ru/man1/aide.1*
%lang(ru) %{_mandir}/ru/man5/aide.conf.5*
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/aide.conf
%dir %attr(0700,root,root) %{_localstatedir}/lib/aide


%changelog
* Fri Nov 28 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10-0.fdr.1
- Update to 0.10 release.
- memleaks patch merged upstream.
- rootpath patch merged upstream.
- fstat patch not needed anymore.
- Updated URL.

* Thu Nov 13 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10-0.fdr.0.2.cvs20031104
- Added buildreq m4 to work around incomplete deps of bison package.

* Tue Nov 04 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10-0.fdr.0.1.cvs20031104
- Only tar.gz available upstream.
- byacc not needed when bison -y is available.
- Installed Russian manual pages.
- Updated with changes from CVS (2003-11-04).
- getopt patch merged upstream.
- bison-1.35 patch incorporated upstream.

* Tue Sep 09 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.9-0.fdr.0.2.20030902
- Added fixes for further memleaks.

* Sun Sep 07 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.9-0.fdr.0.1.20030902
- Initial package version.

